'''Simple script to compare the result of "python multi.py" with expected values.'''
import numpy as np

result = np.loadtxt('multicell.dat',
                    dtype={'names': ('t', 'v0', 'v1', 'v2'),
                           'formats': ('f4', 'f4', 'f4', 'f4')})
expected = np.loadtxt('multicell_expected.dat',
                      dtype={'names': ('t', 'v0', 'v1', 'v2'),
                             'formats': ('f4', 'f4', 'f4', 'f4')})

for trace in ['v0', 'v1', 'v2']:
    print("%s matches expected values: %s" % (trace,
                                              np.allclose(result[trace],
                                                          expected[trace])))
